package net.northking.cctp.executePlan.dto.planTask;

import net.northking.cctp.executePlan.dto.planBatch.DevicePerInfo;

import java.io.Serializable;
import java.util.Map;

/**
 * <p>Title: AtuTaskExecResultDto</p>
 * <p>Description: </p>
 *
 * @Author chenjianfeng
 * @Version V1.0
 * @Date 2022/12/12
 * <p>Copyright (c) 京北方信息技术股份有限公司 Corporation 2022 . All rights reserved.</p>
 */

public class AtuTaskExecResultDto implements Serializable {

    /**
     * 计划ID
     */
    private String planId;

    /**
     * 批次ID
     */
    private String batchId;

    /**
     * 任务ID
     */
    private String taskId;

    /**
     * 用例ID
     */
    private String caseId;

    /**
     * 用例类型 1-接口，2-bs，3-CS，4-安卓，5-ios，6-场景
     */
    private String caseType;

    /**
     * 任务状态 1-开始执行，2-执行成功，3-执行失败，4-断言失败，5-取消，6-超时
     */
    private String status;
    /**
     * 是否要重试
     */
    private boolean needRetry;

    /**
     * 执行信息
     */
    private String message;

    /**
     * 当前时间
     */
    private Long currentTime;

    /**
     * 引擎ID
     */
    private String engineId;

    /**
     * 设备ID
     */
    private String deviceId;

    /**
     * 应用ID
     */
    private String appId;

    /**
     * 视频地址
     */
    private String videoPath;

    /**
     * 执行结果文件地址
     */
    private String filePath;

    /**
     * 断言失败截图
     */
    private String imageUrl;

    /**
     * 输出参数
     */
    private Map<String, Object> outputs;

    /**
     * 设备性能数据地址
     */
    private DevicePerInfo devicePerInfo;

    public String getPlanId() {
        return planId;
    }

    public void setPlanId(String planId) {
        this.planId = planId;
    }

    public String getBatchId() {
        return batchId;
    }

    public void setBatchId(String batchId) {
        this.batchId = batchId;
    }

    public String getTaskId() {
        return taskId;
    }

    public void setTaskId(String taskId) {
        this.taskId = taskId;
    }

    public String getCaseId() {
        return caseId;
    }

    public void setCaseId(String caseId) {
        this.caseId = caseId;
    }

    public String getCaseType() {
        return caseType;
    }

    public void setCaseType(String caseType) {
        this.caseType = caseType;
    }

    public String getStatus() {
        return status;
    }

    public void setStatus(String status) {
        this.status = status;
    }

    public String getMessage() {
        return message;
    }

    public void setMessage(String message) {
        this.message = message;
    }

    public Long getCurrentTime() {
        return currentTime;
    }

    public void setCurrentTime(Long currentTime) {
        this.currentTime = currentTime;
    }

    public String getEngineId() {
        return engineId;
    }

    public void setEngineId(String engineId) {
        this.engineId = engineId;
    }

    public String getDeviceId() {
        return deviceId;
    }

    public void setDeviceId(String deviceId) {
        this.deviceId = deviceId;
    }

    public String getAppId() {
        return appId;
    }

    public void setAppId(String appId) {
        this.appId = appId;
    }

    public String getVideoPath() {
        return videoPath;
    }

    public void setVideoPath(String videoPath) {
        this.videoPath = videoPath;
    }

    public String getFilePath() {
        return filePath;
    }

    public void setFilePath(String filePath) {
        this.filePath = filePath;
    }

    public String getImageUrl() {
        return imageUrl;
    }

    public void setImageUrl(String imageUrl) {
        this.imageUrl = imageUrl;
    }

    public Map<String, Object> getOutputs() {
        return outputs;
    }

    public void setOutputs(Map<String, Object> outputs) {
        this.outputs = outputs;
    }

    public DevicePerInfo getDevicePerInfo() {
        return devicePerInfo;
    }

    public void setDevicePerInfo(DevicePerInfo devicePerInfo) {
        this.devicePerInfo = devicePerInfo;
    }

    public boolean isNeedRetry() {
        return needRetry;
    }

    public void setNeedRetry(boolean needRetry) {
        this.needRetry = needRetry;
    }
}
